External microphone cannot be detected

Bug #1249956 reported by Po-Hsu Lin on 2013-11-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-lts-raring (Ubuntu)
High
David Henningsson
Declined for Quantal by Ara Pulido
Precise
Undecided
Unassigned
Raring
Undecided
Unassigned

Bug Description

CID: 201306-13687 Dell Latitude E6440

The external microphone cannot be detected when plugged in.
(Headphone is working, sound could be played through it).

Steps:
1. Install 12.04.3, boot to desktop.
2. Plug an external microphone in
3. Open "Sound Recorder", press the "Record sound" button and speak to the microphone
4. Playback

Expected results:
1. Sound could be recorded by the external microphone
2. In the "Input" tab of "Sound Settings", the device name would change from "Internal Microphone" to "Microphone" when it's plugged in.

Actual results:
The device name in the "input" tab of "Sound Settings" won't change at all.
The system still using the internal microphone for input device.

Verified with the latest mainline kernel, 3.12-trusty
There will be one more "Headset Microphone" device came up in the "Input" tab, and the external microphone could work if you manually select that device.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.8.0-33-generic 3.8.0-33.48~precise1
ProcVersionSignature: Ubuntu 3.8.0-33.48~precise1-generic 3.8.13.11
Uname: Linux 3.8.0-33-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.8.0-33-generic.
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: PCH [HDA Intel PCH], device 0: ALC292 Analog [ALC292 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 1784 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 1784 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'MID'/'HDA Intel MID at 0xf7f34000 irq 52'
   Mixer name : 'Intel Haswell HDMI'
   Components : 'HDA:80862807,80860101,00100000'
   Controls : 21
   Simple ctrls : 3
Card1.Amixer.info:
 Card hw:1 'PCH'/'HDA Intel PCH at 0xf7f30000 irq 53'
   Mixer name : 'Realtek ALC292'
   Components : 'HDA:10ec0292,102805bd,00100001'
   Controls : 23
   Simple ctrls : 10
CurrentDmesg:
 [ 110.316245] hda_codec: invalid CONNECT_LIST verb 6[0]:0
 [ 110.316691] hda_codec: invalid CONNECT_LIST verb 7[0]:0
Date: Mon Nov 11 01:21:06 2013
HibernationDevice: RESUME=UUID=b89de180-429e-45a6-b330-cee95369fbdb
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
MachineType: Dell Inc. Latitude E6440
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-33-generic root=UUID=a6cf51dd-b275-4ebc-b54f-63f90ebfa985 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-33-generic N/A
 linux-backports-modules-3.8.0-33-generic N/A
 linux-firmware 1.79.7
SourcePackage: linux-lts-raring
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/18/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A00
dmi.board.name: 01PG7T
dmi.board.vendor: Dell Inc.
dmi.board.version: X03
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA00:bd07/18/2013:svnDellInc.:pnLatitudeE6440:pvr01:rvnDellInc.:rn01PG7T:rvrX03:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6440
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Po-Hsu Lin (cypressyew) wrote :
Po-Hsu Lin (cypressyew) wrote :

Alsa info from 3.12.0-031200-generic kernel

Po-Hsu Lin (cypressyew) on 2013-11-11
description: updated
tags: added: 201306-13688
Po-Hsu Lin (cypressyew) wrote :

Also affects 201306-13688 Dell Latitude E6440

Both of these two laptops are using the same audio device, [8086:0c0c] and [8086:8c20]

The internal microphone works fine on 201306-13688
But the external microphone still cannot be detected when it's plugged in.
The system still record sound from the internal microphone.

Po-Hsu Lin (cypressyew) on 2013-11-11
summary: - [Dell Latitude E6440] Internal / external microphones are not working
+ [Dell Latitude E6440] External microphone cannot be detected
description: updated

Simplifies the bug, separate the internal microphone bug of 201306-13687

A very similar issue on another Inspiron 5437 with 12.04.3 fresh install,
but with different intel audio chip [8086:0a0c].

External headset microphone through single jack will not be detected, but headphone works normally.
Also internal microphone and speaker works fine.

Verified with 12.04.2 + update and 12.04.1 + update
This issue exist in these kernels.
Series nominated

Po-Hsu Lin (cypressyew) wrote :

Also affects 201307-13940 Dell Inspiron 3137

Verified with 12.04.3 (3.8.0-29) and update (3.8.0-33)
00:03.0 Audio device [0403]: Intel Corporation Device [8086:0a0c] (rev 0b)
00:1b.0 Audio device [0403]: Intel Corporation Device [8086:9c20] (rev 04)

tags: added: 201307-13940
Po-Hsu Lin (cypressyew) wrote :

Also affects 201303-13027 Dell Inspiron 5535

Verified with 12.04.3 (3.8.0-29) and update (3.8.0-33)
But the audio chips are quite different
00:01.1 Audio device [0403]: Advanced Micro Devices [AMD] nee ATI Device [1002:9902]
00:14.2 Audio device [0403]: Advanced Micro Devices [AMD] Hudson Azalia Controller [1022:780d] (rev 01)

Furthermore, these systems all have a 2-in-1 headphone socket
and this issue did not happen on 201302-12844 Dell Latitude 3330, which equipped with:
00:1b.0 Audio device [0403]: Intel Corporation Panther Point High Definition Audio Controller [8086:1e20] (rev 04)

tags: added: 201303-13027
summary: - [Dell Latitude E6440] External microphone cannot be detected
+ External microphone cannot be detected
Changed in linux-lts-raring (Ubuntu):
assignee: Anthony Wong (anthonywong) → David Henningsson (diwic)
status: New → Triaged
importance: Undecided → Medium
Anthony Wong (anthonywong) wrote :

This should be the same issue as bug 1169143.

Ara Pulido (ara) wrote :

Marking it as High, as it is affecting lots of systems for certification

Changed in linux-lts-raring (Ubuntu):
importance: Medium → High
Changed in linux-lts-raring (Ubuntu Raring):
status: New → Invalid
Changed in linux-lts-raring (Ubuntu):
status: Triaged → In Progress
Taihsiang Ho (taihsiangho) wrote :

Please refer to LP: #1169143 as well "Headset support on some Dell machines"

tags: added: 201306-13862
Changed in linux-lts-raring (Ubuntu):
status: In Progress → Won't Fix
Yung Shen (kaxing) on 2013-12-30
tags: added: 201207-11439
Changed in linux-lts-raring (Ubuntu Precise):
status: New → Won't Fix
To post a comment you must log in.